Xamarin 1.0 SDK validated with IBM MobileFirst v6.3.0

Couple of weeks back we announced the availability of IBM MobileFirst Platform Foundation 6.3.0 . We went ahead and validated the IBM MobileFirst Xamarin SDK 1.0.0 with the IBM MobileFirst 6.3.0 server. The IBM MobileFirst Xamarin SDK passed our tests! iOS and Android apps built with the current IBM MobileFirst Xamarin 1.0.0 SDK will work with the IBM MobileFirst 6.3.0 server.

However, there is one tweak needed in the development environment. In 6.3.0, the IBM MobileFirst CLI (a.k.a Worklight CLI) command is now changed from wl to mfp. This renders the Xamarin addin not functional. So, developers will have to do the following 2 things - if they install the 6.3.0 CLI

  • Remember, The default installation on windows is now at C:\Program Files\IBM\MobileFirst-CLI
  • copy mfp.cmd file to wl.cmd in the install location
  • Note: The IBM MobileFirst Xamarin SDK 1.0.0 itself is not revved up yet to exploit the features that are new in 6.3.0.

    Last modified on May 01, 2016
    Share this post: